/*
 Navicat Premium Dump SQL

 Source Server         : 192.168.50.19_7654
 Source Server Type    : GaussDB
 Source Server Version : 90204 (GaussDB)
 Source Host           : 192.168.50.19:7654
 Source Catalog        : jg
 Source Schema         : ruoyi

 Target Server Type    : GaussDB
 Target Server Version : 90204 (GaussDB)
 File Encoding         : 65001

 Date: 09/10/2024 09:17:57
*/


-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
CREATE SEQUENCE "public"."gen_table_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 17
CACHE 1;
DROP TABLE IF EXISTS "ruoyi"."gen_table";
CREATE TABLE "ruoyi"."gen_table" (
  "table_id" int8 NOT NULL DEFAULT nextval('gen_table_seq'::regclass),
  "table_name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "table_comment" varchar(500) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "sub_table_name" varchar(64) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "sub_table_fk_name" varchar(64) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "class_name" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "tpl_category" varchar(200) COLLATE "pg_catalog"."default" DEFAULT 'crud'::character varying,
  "tpl_web_type" varchar(30) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "package_name" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "module_name" varchar(30) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "business_name" varchar(30) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "function_name" varchar(50) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "function_author" varchar(50) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "gen_type" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "gen_path" varchar(200) COLLATE "pg_catalog"."default" DEFAULT '/'::character varying,
  "options" varchar(1000) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."gen_table"."table_id" IS '编号';
COMMENT ON COLUMN "ruoyi"."gen_table"."table_name" IS '表名称';
COMMENT ON COLUMN "ruoyi"."gen_table"."table_comment" IS '表描述';
COMMENT ON COLUMN "ruoyi"."gen_table"."sub_table_name" IS '关联子表的表名';
COMMENT ON COLUMN "ruoyi"."gen_table"."sub_table_fk_name" IS '子表关联的外键名';
COMMENT ON COLUMN "ruoyi"."gen_table"."class_name" IS '实体类名称';
COMMENT ON COLUMN "ruoyi"."gen_table"."tpl_category" IS '使用的模板（crud单表操作 tree树表操作）';
COMMENT ON COLUMN "ruoyi"."gen_table"."tpl_web_type" IS '前端模板类型（element-ui模版 element-plus模版）';
COMMENT ON COLUMN "ruoyi"."gen_table"."package_name" IS '生成包路径';
COMMENT ON COLUMN "ruoyi"."gen_table"."module_name" IS '生成模块名';
COMMENT ON COLUMN "ruoyi"."gen_table"."business_name" IS '生成业务名';
COMMENT ON COLUMN "ruoyi"."gen_table"."function_name" IS '生成功能名';
COMMENT ON COLUMN "ruoyi"."gen_table"."function_author" IS '生成功能作者';
COMMENT ON COLUMN "ruoyi"."gen_table"."gen_type" IS '生成代码方式（0zip压缩包 1自定义路径）';
COMMENT ON COLUMN "ruoyi"."gen_table"."gen_path" IS '生成路径（不填默认项目路径）';
COMMENT ON COLUMN "ruoyi"."gen_table"."options" IS '其它生成选项';
COMMENT ON COLUMN "ruoyi"."gen_table"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."gen_table"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."gen_table"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."gen_table"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."gen_table"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."gen_table" IS '代码生成业务表';

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO "ruoyi"."gen_table" VALUES (1, 'sys_config', '参数配置表', NULL, NULL, 'SysConfig', 'crud', '', 'com.jg.project.system', 'system', 'config', '参数配置', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (2, 'sys_dept', '部门表', NULL, NULL, 'SysDept', 'crud', '', 'com.jg.project.system', 'system', 'dept', '部门', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (3, 'sys_dict_data', '字典数据表', NULL, NULL, 'SysDictData', 'crud', '', 'com.jg.project.system', 'system', 'data', '字典数据', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (4, 'sys_dict_type', '字典类型表', NULL, NULL, 'SysDictType', 'crud', '', 'com.jg.project.system', 'system', 'type', '字典类型', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (5, 'sys_job', '定时任务调度表', NULL, NULL, 'SysJob', 'crud', '', 'com.jg.project.system', 'system', 'job', '定时任务调度', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (6, 'sys_job_log', '定时任务调度日志表', NULL, NULL, 'SysJobLog', 'crud', '', 'com.jg.project.system', 'system', 'log', '定时任务调度日志', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (7, 'sys_logininfor', '系统访问记录', NULL, NULL, 'SysLogininfor', 'crud', '', 'com.jg.project.system', 'system', 'logininfor', '系统访问记录', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (8, 'sys_menu', '菜单权限表', NULL, NULL, 'SysMenu', 'crud', '', 'com.jg.project.system', 'system', 'menu', '菜单权限', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (9, 'sys_notice', '通知公告表', NULL, NULL, 'SysNotice', 'crud', '', 'com.jg.project.system', 'system', 'notice', '通知公告', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (10, 'sys_oper_log', '操作日志记录', NULL, NULL, 'SysOperLog', 'crud', '', 'com.jg.project.system', 'system', 'log', '操作日志记录', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (11, 'sys_post', '岗位信息表', NULL, NULL, 'SysPost', 'crud', '', 'com.jg.project.system', 'system', 'post', '岗位信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (12, 'sys_role', '角色信息表', NULL, NULL, 'SysRole', 'crud', '', 'com.jg.project.system', 'system', 'role', '角色信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (13, 'sys_role_dept', '角色和部门关联表', NULL, NULL, 'SysRoleDept', 'crud', '', 'com.jg.project.system', 'system', 'dept', '角色和部门关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (14, 'sys_role_menu', '角色和菜单关联表', NULL, NULL, 'SysRoleMenu', 'crud', '', 'com.jg.project.system', 'system', 'menu', '角色和菜单关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (15, 'sys_user', '用户信息表', NULL, NULL, 'SysUser', 'crud', '', 'com.jg.project.system', 'system', 'user', '用户信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (16, 'sys_user_post', '用户与岗位关联表', NULL, NULL, 'SysUserPost', 'crud', '', 'com.jg.project.system', 'system', 'post', '用户与岗位关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);
INSERT INTO "ruoyi"."gen_table" VALUES (17, 'sys_user_role', '用户和角色关联表', NULL, NULL, 'SysUserRole', 'crud', '', 'com.jg.project.system', 'system', 'role', '用户和角色关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 19:41:54+08', '', NULL, NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
CREATE SEQUENCE "public"."gen_table_column_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 174
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."gen_table_column";
CREATE TABLE "ruoyi"."gen_table_column" (
  "column_id" int8 NOT NULL DEFAULT nextval('gen_table_column_seq'::regclass),
  "table_id" int8,
  "column_name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "column_comment" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "column_type" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "java_type" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "java_field" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_pk" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_increment" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_required" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_insert" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_edit" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_list" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "is_query" char(1) COLLATE "pg_catalog"."default" DEFAULT NULL::bpchar,
  "query_type" varchar(200) COLLATE "pg_catalog"."default" DEFAULT 'EQ'::character varying,
  "html_type" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "dict_type" varchar(200) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "sort" int4,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp()
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."gen_table_column"."column_id" IS '编号';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."table_id" IS '归属表编号';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."column_name" IS '列名称';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."column_comment" IS '列描述';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."column_type" IS '列类型';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."java_type" IS 'JAVA类型';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."java_field" IS 'JAVA字段名';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_pk" IS '是否主键（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_increment" IS '是否自增（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_required" IS '是否必填（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_insert" IS '是否为插入字段（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_edit" IS '是否编辑字段（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_list" IS '是否列表字段（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."is_query" IS '是否查询字段（1是）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."query_type" IS '查询方式（等于、不等于、大于、小于、范围）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."html_type" IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."dict_type" IS '字典类型';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."sort" IS '排序';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."gen_table_column"."update_time" IS '更新时间';
COMMENT ON TABLE "ruoyi"."gen_table_column" IS '代码生成业务表字段';

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO "ruoyi"."gen_table_column" VALUES (1, 1, 'config_id', '参数主键', 'int', 'Long', 'configId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (2, 1, 'config_name', '参数名称', 'varchar(100)', 'String', 'configName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (3, 1, 'config_key', '参数键名', 'varchar(100)', 'String', 'configKey', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (4, 1, 'config_value', '参数键值', 'varchar(500)', 'String', 'configValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (5, 1, 'config_type', '系统内置（Y是 N否）', 'char(1)', 'String', 'configType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (6, 1, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (7, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (8, 1, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (9, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (10, 1, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (11, 2, 'dept_id', '部门id', 'bigint', 'Long', 'deptId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (12, 2, 'parent_id', '父部门id', 'bigint', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (13, 2, 'ancestors', '祖级列表', 'varchar(50)', 'String', 'ancestors', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (14, 2, 'dept_name', '部门名称', 'varchar(30)', 'String', 'deptName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (15, 2, 'order_num', '显示顺序', 'int', 'Long', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (16, 2, 'leader', '负责人', 'varchar(20)', 'String', 'leader', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (17, 2, 'phone', '联系电话', 'varchar(11)', 'String', 'phone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (18, 2, 'email', '邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (19, 2, 'status', '部门状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (20, 2, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (21, 2, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (22, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (23, 2, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (24, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (25, 3, 'dict_code', '字典编码', 'bigint', 'Long', 'dictCode', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (26, 3, 'dict_sort', '字典排序', 'int', 'Long', 'dictSort', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (27, 3, 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (28, 3, 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (29, 3, 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (30, 3, 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (31, 3, 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (32, 3, 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (33, 3, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (34, 3, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (35, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (36, 3, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (37, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (38, 3, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (39, 4, 'dict_id', '字典主键', 'bigint', 'Long', 'dictId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (40, 4, 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (41, 4, 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (42, 4, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (43, 4, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (44, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (45, 4, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (46, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (47, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (48, 5, 'job_id', '任务ID', 'bigint', 'Long', 'jobId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (49, 5, 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '1', '0', '0', '1', NULL, NULL, NULL, 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (50, 5, 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (51, 5, 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (52, 5, 'cron_expression', 'cron执行表达式', 'varchar(255)', 'String', 'cronExpression', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (53, 5, 'misfire_policy', '计划执行错误策略（1立即执行 2执行一次 3放弃执行）', 'varchar(20)', 'String', 'misfirePolicy', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (54, 5, 'concurrent', '是否并发执行（0允许 1禁止）', 'char(1)', 'String', 'concurrent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (55, 5, 'status', '状态（0正常 1暂停）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (56, 5, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (57, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (58, 5, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (59, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (60, 5, 'remark', '备注信息', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (61, 6, 'job_log_id', '任务日志ID', 'bigint', 'Long', 'jobLogId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (62, 6, 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (63, 6, 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (64, 6, 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (65, 6, 'job_message', '日志信息', 'varchar(500)', 'String', 'jobMessage', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (66, 6, 'status', '执行状态（0正常 1失败）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (67, 6, 'exception_info', '异常信息', 'varchar(2000)', 'String', 'exceptionInfo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (68, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (69, 7, 'info_id', '访问ID', 'bigint', 'Long', 'infoId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (70, 7, 'user_name', '用户账号', 'varchar(50)', 'String', 'userName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (71, 7, 'ipaddr', '登录IP地址', 'varchar(128)', 'String', 'ipaddr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (72, 7, 'login_location', '登录地点', 'varchar(255)', 'String', 'loginLocation', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (73, 7, 'browser', '浏览器类型', 'varchar(50)', 'String', 'browser', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (74, 7, 'os', '操作系统', 'varchar(50)', 'String', 'os', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (75, 7, 'status', '登录状态（0成功 1失败）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (76, 7, 'msg', '提示消息', 'varchar(255)', 'String', 'msg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (77, 7, 'login_time', '访问时间', 'datetime', 'Date', 'loginTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (78, 8, 'menu_id', '菜单ID', 'bigint', 'Long', 'menuId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (79, 8, 'menu_name', '菜单名称', 'varchar(50)', 'String', 'menuName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (80, 8, 'parent_id', '父菜单ID', 'bigint', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (81, 8, 'order_num', '显示顺序', 'int', 'Long', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (82, 8, 'path', '路由地址', 'varchar(200)', 'String', 'path', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (83, 8, 'component', '组件路径', 'varchar(255)', 'String', 'component', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (84, 8, 'query', '路由参数', 'varchar(255)', 'String', 'query', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (85, 8, 'is_frame', '是否为外链（0是 1否）', 'int', 'Long', 'isFrame', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (86, 8, 'is_cache', '是否缓存（0缓存 1不缓存）', 'int', 'Long', 'isCache', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (87, 8, 'menu_type', '菜单类型（M目录 C菜单 F按钮）', 'char(1)', 'String', 'menuType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (88, 8, 'visible', '菜单状态（0显示 1隐藏）', 'char(1)', 'String', 'visible', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (89, 8, 'status', '菜单状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (90, 8, 'perms', '权限标识', 'varchar(100)', 'String', 'perms', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (91, 8, 'icon', '菜单图标', 'varchar(100)', 'String', 'icon', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (92, 8, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (93, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (94, 8, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (95, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (96, 8, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (97, 9, 'notice_id', '公告ID', 'int', 'Long', 'noticeId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (98, 9, 'notice_title', '公告标题', 'varchar(50)', 'String', 'noticeTitle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (99, 9, 'notice_type', '公告类型（1通知 2公告）', 'char(1)', 'String', 'noticeType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (100, 9, 'notice_content', '公告内容', 'longblob', 'String', 'noticeContent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'editor', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (101, 9, 'status', '公告状态（0正常 1关闭）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (102, 9, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (103, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (104, 9, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (105, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (106, 9, 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (107, 10, 'oper_id', '日志主键', 'bigint', 'Long', 'operId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (108, 10, 'title', '模块标题', 'varchar(50)', 'String', 'title', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (109, 10, 'business_type', '业务类型（0其它 1新增 2修改 3删除）', 'int', 'Long', 'businessType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (110, 10, 'method', '方法名称', 'varchar(100)', 'String', 'method', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (111, 10, 'request_method', '请求方式', 'varchar(10)', 'String', 'requestMethod', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (112, 10, 'operator_type', '操作类别（0其它 1后台用户 2手机端用户）', 'int', 'Long', 'operatorType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (113, 10, 'oper_name', '操作人员', 'varchar(50)', 'String', 'operName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (114, 10, 'dept_name', '部门名称', 'varchar(50)', 'String', 'deptName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (115, 10, 'oper_url', '请求URL', 'varchar(255)', 'String', 'operUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (116, 10, 'oper_ip', '主机地址', 'varchar(128)', 'String', 'operIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (117, 10, 'oper_location', '操作地点', 'varchar(255)', 'String', 'operLocation', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (118, 10, 'oper_param', '请求参数', 'varchar(2000)', 'String', 'operParam', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (119, 10, 'json_result', '返回参数', 'varchar(2000)', 'String', 'jsonResult', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (120, 10, 'status', '操作状态（0正常 1异常）', 'int', 'Long', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (121, 10, 'error_msg', '错误消息', 'varchar(2000)', 'String', 'errorMsg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 15, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (122, 10, 'oper_time', '操作时间', 'datetime', 'Date', 'operTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (123, 10, 'cost_time', '消耗时间', 'bigint', 'Long', 'costTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (124, 11, 'post_id', '岗位ID', 'bigint', 'Long', 'postId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (125, 11, 'post_code', '岗位编码', 'varchar(64)', 'String', 'postCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (126, 11, 'post_name', '岗位名称', 'varchar(50)', 'String', 'postName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (127, 11, 'post_sort', '显示顺序', 'int', 'Long', 'postSort', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (128, 11, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (129, 11, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (130, 11, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (131, 11, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (132, 11, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (133, 11, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (134, 12, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (135, 12, 'role_name', '角色名称', 'varchar(30)', 'String', 'roleName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (136, 12, 'role_key', '角色权限字符串', 'varchar(100)', 'String', 'roleKey', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (137, 12, 'role_sort', '显示顺序', 'int', 'Long', 'roleSort', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (138, 12, 'data_scope', '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）', 'char(1)', 'String', 'dataScope', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (139, 12, 'menu_check_strictly', '菜单树选择项是否关联显示', 'tinyint(1)', 'Integer', 'menuCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (140, 12, 'dept_check_strictly', '部门树选择项是否关联显示', 'tinyint(1)', 'Integer', 'deptCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (141, 12, 'status', '角色状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (142, 12, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (143, 12, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (144, 12, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (145, 12, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (146, 12, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (147, 12, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (148, 13, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (149, 13, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (150, 14, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (151, 14, 'menu_id', '菜单ID', 'bigint', 'Long', 'menuId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (152, 15, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (153, 15, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (154, 15, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (155, 15, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (156, 15, 'user_type', '用户类型（00系统用户）', 'varchar(2)', 'String', 'userType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (157, 15, 'email', '用户邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (158, 15, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (159, 15, 'sex', '用户性别（0男 1女 2未知）', 'char(1)', 'String', 'sex', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 8, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (160, 15, 'avatar', '头像地址', 'varchar(100)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (161, 15, 'password', '密码', 'varchar(100)', 'String', 'password', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (162, 15, 'status', '帐号状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 11, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (163, 15, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (164, 15, 'login_ip', '最后登录IP', 'varchar(128)', 'String', 'loginIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (165, 15, 'login_date', '最后登录时间', 'datetime', 'Date', 'loginDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 14, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (166, 15, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (167, 15, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (168, 15, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (169, 15, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (170, 15, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (171, 16, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (172, 16, 'post_id', '岗位ID', 'bigint', 'Long', 'postId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (173, 17, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 19:41:54+08', '', NULL);
INSERT INTO "ruoyi"."gen_table_column" VALUES (174, 17, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 19:41:54+08', '', NULL);

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_blob_triggers";
CREATE TABLE "ruoyi"."qrtz_blob_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "blob_data" bytea
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_blob_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_blob_triggers"."trigger_name" IS 'qrtz_triggers表trigger_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_blob_triggers"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_blob_triggers"."blob_data" IS '存放持久化Trigger对象';
COMMENT ON TABLE "ruoyi"."qrtz_blob_triggers" IS 'Blob类型的触发器表';

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_calendars";
CREATE TABLE "ruoyi"."qrtz_calendars" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "calendar_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "calendar" bytea NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_calendars"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_calendars"."calendar_name" IS '日历名称';
COMMENT ON COLUMN "ruoyi"."qrtz_calendars"."calendar" IS '存放持久化calendar对象';
COMMENT ON TABLE "ruoyi"."qrtz_calendars" IS '日历信息表';

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_cron_triggers";
CREATE TABLE "ruoyi"."qrtz_cron_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "cron_expression" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "time_zone_id" varchar(80) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_cron_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_cron_triggers"."trigger_name" IS 'qrtz_triggers表trigger_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_cron_triggers"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_cron_triggers"."cron_expression" IS 'cron表达式';
COMMENT ON COLUMN "ruoyi"."qrtz_cron_triggers"."time_zone_id" IS '时区';
COMMENT ON TABLE "ruoyi"."qrtz_cron_triggers" IS 'Cron类型的触发器表';

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_fired_triggers";
CREATE TABLE "ruoyi"."qrtz_fired_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "entry_id" varchar(95) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "instance_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "fired_time" int8 NOT NULL,
  "sched_time" int8 NOT NULL,
  "priority" int4 NOT NULL,
  "state" varchar(16) COLLATE "pg_catalog"."default" NOT NULL,
  "job_name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "job_group" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_nonconcurrent" varchar(1) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "requests_recovery" varchar(1) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."entry_id" IS '调度器实例id';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."trigger_name" IS 'qrtz_triggers表trigger_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."instance_name" IS '调度器实例名';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."fired_time" IS '触发的时间';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."sched_time" IS '定时器制定的时间';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."priority" IS '优先级';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."state" IS '状态';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."job_name" IS '任务名称';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."job_group" IS '任务组名';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."is_nonconcurrent" IS '是否并发';
COMMENT ON COLUMN "ruoyi"."qrtz_fired_triggers"."requests_recovery" IS '是否接受恢复执行';
COMMENT ON TABLE "ruoyi"."qrtz_fired_triggers" IS '已触发的触发器表';

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_job_details";
CREATE TABLE "ruoyi"."qrtz_job_details" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "job_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "job_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "description" varchar(250) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "job_class_name" varchar(250) COLLATE "pg_catalog"."default" NOT NULL,
  "is_durable" varchar(1) COLLATE "pg_catalog"."default" NOT NULL,
  "is_nonconcurrent" varchar(1) COLLATE "pg_catalog"."default" NOT NULL,
  "is_update_data" varchar(1) COLLATE "pg_catalog"."default" NOT NULL,
  "requests_recovery" varchar(1) COLLATE "pg_catalog"."default" NOT NULL,
  "job_data" bytea
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."job_name" IS '任务名称';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."job_group" IS '任务组名';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."description" IS '相关介绍';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."job_class_name" IS '执行任务类名称';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."is_durable" IS '是否持久化';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."is_nonconcurrent" IS '是否并发';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."is_update_data" IS '是否更新数据';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."requests_recovery" IS '是否接受恢复执行';
COMMENT ON COLUMN "ruoyi"."qrtz_job_details"."job_data" IS '存放持久化job对象';
COMMENT ON TABLE "ruoyi"."qrtz_job_details" IS '任务详细信息表';

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_locks";
CREATE TABLE "ruoyi"."qrtz_locks" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "lock_name" varchar(40) COLLATE "pg_catalog"."default" NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_locks"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_locks"."lock_name" IS '悲观锁名称';
COMMENT ON TABLE "ruoyi"."qrtz_locks" IS '存储的悲观锁信息表';

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_paused_trigger_grps";
CREATE TABLE "ruoyi"."qrtz_paused_trigger_grps" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_paused_trigger_grps"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_paused_trigger_grps"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON TABLE "ruoyi"."qrtz_paused_trigger_grps" IS '暂停的触发器表';

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_scheduler_state";
CREATE TABLE "ruoyi"."qrtz_scheduler_state" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "instance_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "last_checkin_time" int8 NOT NULL,
  "checkin_interval" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_scheduler_state"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_scheduler_state"."instance_name" IS '实例名称';
COMMENT ON COLUMN "ruoyi"."qrtz_scheduler_state"."last_checkin_time" IS '上次检查时间';
COMMENT ON COLUMN "ruoyi"."qrtz_scheduler_state"."checkin_interval" IS '检查间隔时间';
COMMENT ON TABLE "ruoyi"."qrtz_scheduler_state" IS '调度器状态表';

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_simple_triggers";
CREATE TABLE "ruoyi"."qrtz_simple_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "repeat_count" int8 NOT NULL,
  "repeat_interval" int8 NOT NULL,
  "times_triggered" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."trigger_name" IS 'qrtz_triggers表trigger_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."repeat_count" IS '重复的次数统计';
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."repeat_interval" IS '重复的间隔时间';
COMMENT ON COLUMN "ruoyi"."qrtz_simple_triggers"."times_triggered" IS '已经触发的次数';
COMMENT ON TABLE "ruoyi"."qrtz_simple_triggers" IS '简单触发器的信息表';

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_simprop_triggers";
CREATE TABLE "ruoyi"."qrtz_simprop_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "str_prop_1" varchar(512) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "str_prop_2" varchar(512) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "str_prop_3" varchar(512) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "int_prop_1" int4,
  "int_prop_2" int4,
  "long_prop_1" int8,
  "long_prop_2" int8,
  "dec_prop_1" numeric(13,4) DEFAULT NULL::numeric,
  "dec_prop_2" numeric(13,4),
  "bool_prop_1" varchar(1) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "bool_prop_2" varchar(1) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."trigger_name" IS 'qrtz_triggers表trigger_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."trigger_group" IS 'qrtz_triggers表trigger_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."str_prop_1" IS 'String类型的trigger的第一个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."str_prop_2" IS 'String类型的trigger的第二个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."str_prop_3" IS 'String类型的trigger的第三个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."int_prop_1" IS 'int类型的trigger的第一个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."int_prop_2" IS 'int类型的trigger的第二个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."long_prop_1" IS 'long类型的trigger的第一个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."long_prop_2" IS 'long类型的trigger的第二个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."dec_prop_1" IS 'decimal类型的trigger的第一个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."dec_prop_2" IS 'decimal类型的trigger的第二个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."bool_prop_1" IS 'Boolean类型的trigger的第一个参数';
COMMENT ON COLUMN "ruoyi"."qrtz_simprop_triggers"."bool_prop_2" IS 'Boolean类型的trigger的第二个参数';
COMMENT ON TABLE "ruoyi"."qrtz_simprop_triggers" IS '同步机制的行锁表';

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."qrtz_triggers";
CREATE TABLE "ruoyi"."qrtz_triggers" (
  "sched_name" varchar(120) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "job_name" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "job_group" varchar(200) COLLATE "pg_catalog"."default" NOT NULL,
  "description" varchar(250) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "next_fire_time" int8,
  "prev_fire_time" int8,
  "priority" int4,
  "trigger_state" varchar(16) COLLATE "pg_catalog"."default" NOT NULL,
  "trigger_type" varchar(8) COLLATE "pg_catalog"."default" NOT NULL,
  "start_time" int8 NOT NULL,
  "end_time" int8,
  "calendar_name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "misfire_instr" int2,
  "job_data" bytea
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."sched_name" IS '调度名称';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."trigger_name" IS '触发器的名字';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."trigger_group" IS '触发器所属组的名字';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."job_name" IS 'qrtz_job_details表job_name的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."job_group" IS 'qrtz_job_details表job_group的外键';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."description" IS '相关介绍';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."next_fire_time" IS '上一次触发时间（毫秒）';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."prev_fire_time" IS '下一次触发时间（默认为-1表示不触发）';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."priority" IS '优先级';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."trigger_state" IS '触发器状态';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."trigger_type" IS '触发器的类型';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."start_time" IS '开始时间';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."end_time" IS '结束时间';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."calendar_name" IS '日程表名称';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."misfire_instr" IS '补偿执行的策略';
COMMENT ON COLUMN "ruoyi"."qrtz_triggers"."job_data" IS '存放持久化job对象';
COMMENT ON TABLE "ruoyi"."qrtz_triggers" IS '触发器详细信息表';

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_config";
CREATE TABLE "ruoyi"."sys_config" (
  "config_id" int4 NOT NULL,
  "config_name" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "config_key" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "config_value" varchar(500) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "config_type" char(1) COLLATE "pg_catalog"."default" DEFAULT 'N'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_config"."config_id" IS '参数主键';
COMMENT ON COLUMN "ruoyi"."sys_config"."config_name" IS '参数名称';
COMMENT ON COLUMN "ruoyi"."sys_config"."config_key" IS '参数键名';
COMMENT ON COLUMN "ruoyi"."sys_config"."config_value" IS '参数键值';
COMMENT ON COLUMN "ruoyi"."sys_config"."config_type" IS '系统内置（Y是 N否）';
COMMENT ON COLUMN "ruoyi"."sys_config"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_config"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_config"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_config"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_config"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_config" IS '参数配置表';

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO "ruoyi"."sys_config" VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-04-25 19:38:38+08', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO "ruoyi"."sys_config" VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-04-25 19:38:38+08', '', NULL, '初始化密码 123456');
INSERT INTO "ruoyi"."sys_config" VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-04-25 19:38:38+08', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO "ruoyi"."sys_config" VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:40:06+08', '是否开启验证码功能（true开启，false关闭）');
INSERT INTO "ruoyi"."sys_config" VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-04-25 19:38:38+08', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO "ruoyi"."sys_config" VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-04-25 19:38:38+08', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_dept";
CREATE TABLE "ruoyi"."sys_dept" (
  "dept_id" int8 NOT NULL,
  "parent_id" int8 DEFAULT 0,
  "ancestors" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "dept_name" varchar(30) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "order_num" int4 DEFAULT 0,
  "leader" varchar(20) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "phone" varchar(11) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "email" varchar(50) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "del_flag" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT NULL::timestamp with time zone
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_dept"."dept_id" IS '部门id';
COMMENT ON COLUMN "ruoyi"."sys_dept"."parent_id" IS '父部门id';
COMMENT ON COLUMN "ruoyi"."sys_dept"."ancestors" IS '祖级列表';
COMMENT ON COLUMN "ruoyi"."sys_dept"."dept_name" IS '部门名称';
COMMENT ON COLUMN "ruoyi"."sys_dept"."order_num" IS '显示顺序';
COMMENT ON COLUMN "ruoyi"."sys_dept"."leader" IS '负责人';
COMMENT ON COLUMN "ruoyi"."sys_dept"."phone" IS '联系电话';
COMMENT ON COLUMN "ruoyi"."sys_dept"."email" IS '邮箱';
COMMENT ON COLUMN "ruoyi"."sys_dept"."status" IS '部门状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_dept"."del_flag" IS '删除标志（0代表存在 2代表删除）';
COMMENT ON COLUMN "ruoyi"."sys_dept"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_dept"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_dept"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_dept"."update_time" IS '更新时间';
COMMENT ON TABLE "ruoyi"."sys_dept" IS '部门表';

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO "ruoyi"."sys_dept" VALUES (100, 0, '0', 'JG科技', 0, 'jG', '15888888888', 'JG@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:42:35+08');
INSERT INTO "ruoyi"."sys_dept" VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);
INSERT INTO "ruoyi"."sys_dept" VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_dict_data";
CREATE TABLE "ruoyi"."sys_dict_data" (
  "dict_code" int8 NOT NULL,
  "dict_sort" int4 DEFAULT 0,
  "dict_label" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "dict_value" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "dict_type" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "css_class" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "list_class" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_default" char(1) COLLATE "pg_catalog"."default" DEFAULT 'N'::bpchar,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."dict_code" IS '字典编码';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."dict_sort" IS '字典排序';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."dict_label" IS '字典标签';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."dict_value" IS '字典键值';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."dict_type" IS '字典类型';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."css_class" IS '样式属性（其他样式扩展）';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."list_class" IS '表格回显样式';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."is_default" IS '是否默认（Y是 N否）';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."status" IS '状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_dict_data"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_dict_data" IS '字典数据表';

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO "ruoyi"."sys_dict_data" VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '性别男');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '性别女');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '性别未知');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '显示菜单');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '隐藏菜单');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '正常状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '停用状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '正常状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '停用状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '默认分组');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统分组');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统默认是');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统默认否');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '通知');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '公告');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '正常状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '关闭状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '其他操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '新增操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '修改操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '删除操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '授权操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '导出操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '导入操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '强退操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '生成操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '清空操作');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '正常状态');
INSERT INTO "ruoyi"."sys_dict_data" VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_dict_type";
CREATE TABLE "ruoyi"."sys_dict_type" (
  "dict_id" int8 NOT NULL,
  "dict_name" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "dict_type" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."dict_id" IS '字典主键';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."dict_name" IS '字典名称';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."dict_type" IS '字典类型';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."status" IS '状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_dict_type"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_dict_type" IS '字典类型表';

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO "ruoyi"."sys_dict_type" VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '用户性别列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '菜单状态列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统开关列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '任务状态列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '任务分组列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统是否列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '通知类型列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '通知状态列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '操作类型列表');
INSERT INTO "ruoyi"."sys_dict_type" VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_job";
CREATE TABLE "ruoyi"."sys_job" (
  "job_id" int8 NOT NULL,
  "job_name" varchar(64) COLLATE "pg_catalog"."default" NOT NULL DEFAULT ''::character varying,
  "job_group" varchar(64) COLLATE "pg_catalog"."default" NOT NULL DEFAULT 'DEFAULT'::character varying,
  "invoke_target" varchar(500) COLLATE "pg_catalog"."default" NOT NULL,
  "cron_expression" varchar(255) COLLATE "pg_catalog"."default",
  "misfire_policy" varchar(20) COLLATE "pg_catalog"."default" DEFAULT '3'::character varying,
  "concurrent" char(1) COLLATE "pg_catalog"."default" DEFAULT '1'::bpchar,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT ''::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_job"."job_id" IS '任务ID';
COMMENT ON COLUMN "ruoyi"."sys_job"."job_name" IS '任务名称';
COMMENT ON COLUMN "ruoyi"."sys_job"."job_group" IS '任务组名';
COMMENT ON COLUMN "ruoyi"."sys_job"."invoke_target" IS '调用目标字符串';
COMMENT ON COLUMN "ruoyi"."sys_job"."cron_expression" IS 'cron执行表达式';
COMMENT ON COLUMN "ruoyi"."sys_job"."misfire_policy" IS '计划执行错误策略（1立即执行 2执行一次 3放弃执行）';
COMMENT ON COLUMN "ruoyi"."sys_job"."concurrent" IS '是否并发执行（0允许 1禁止）';
COMMENT ON COLUMN "ruoyi"."sys_job"."status" IS '状态（0正常 1暂停）';
COMMENT ON COLUMN "ruoyi"."sys_job"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_job"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_job"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_job"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_job"."remark" IS '备注信息';
COMMENT ON TABLE "ruoyi"."sys_job" IS '定时任务调度表';

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO "ruoyi"."sys_job" VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(''ry'', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_job" VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 19:38:38+08', '', '2024-09-27 10:59:19+08', '');
INSERT INTO "ruoyi"."sys_job" VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(''ry'')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 19:38:38+08', '', '2024-09-27 11:01:29+08', '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_job_log";
CREATE TABLE "ruoyi"."sys_job_log" (
  "job_log_id" int8 NOT NULL,
  "job_name" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
  "job_group" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
  "invoke_target" varchar(500) COLLATE "pg_catalog"."default" NOT NULL,
  "job_message" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "exception_info" varchar(2000) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT NULL::timestamp with time zone
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_job_log"."job_log_id" IS '任务日志ID';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."job_name" IS '任务名称';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."job_group" IS '任务组名';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."invoke_target" IS '调用目标字符串';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."job_message" IS '日志信息';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."status" IS '执行状态（0正常 1失败）';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."exception_info" IS '异常信息';
COMMENT ON COLUMN "ruoyi"."sys_job_log"."create_time" IS '创建时间';
COMMENT ON TABLE "ruoyi"."sys_job_log" IS '定时任务调度日志表';

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_logininfor";
CREATE TABLE "ruoyi"."sys_logininfor" (
  "info_id" int8 NOT NULL,
  "user_name" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "ipaddr" varchar(128) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "login_location" varchar(255) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "browser" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "os" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "msg" varchar(255) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "login_time" timestamptz(0) DEFAULT NULL::timestamp with time zone
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."info_id" IS '访问ID';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."user_name" IS '用户账号';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."ipaddr" IS '登录IP地址';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."login_location" IS '登录地点';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."browser" IS '浏览器类型';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."os" IS '操作系统';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."status" IS '登录状态（0成功 1失败）';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."msg" IS '提示消息';
COMMENT ON COLUMN "ruoyi"."sys_logininfor"."login_time" IS '访问时间';
COMMENT ON TABLE "ruoyi"."sys_logininfor" IS '系统访问记录';

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO "ruoyi"."sys_logininfor" VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-25 19:39:16+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-25 19:39:28+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-04-25 19:39:35+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-25 19:39:39+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-25 19:48:36+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-25 19:48:38+08');
INSERT INTO "ruoyi"."sys_logininfor" VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-25 19:48:55+08');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
CREATE SEQUENCE "public"."sys_menu_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 1060
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_menu";
CREATE TABLE "ruoyi"."sys_menu" (
  "menu_id" int8 NOT NULL DEFAULT nextval('sys_menu_seq'::regclass),
  "menu_name" varchar(50) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL::character varying,
  "parent_id" int8 DEFAULT 0,
  "order_num" int4 DEFAULT 0,
  "path" varchar(200) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "component" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "query" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_frame" int4 DEFAULT 1,
  "is_cache" int4 DEFAULT 0,
  "menu_type" char(1) COLLATE "pg_catalog"."default" DEFAULT ''::bpchar,
  "visible" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "perms" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "icon" varchar(100) COLLATE "pg_catalog"."default" DEFAULT '#'::character varying,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT ''::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_menu"."menu_id" IS '菜单ID';
COMMENT ON COLUMN "ruoyi"."sys_menu"."menu_name" IS '菜单名称';
COMMENT ON COLUMN "ruoyi"."sys_menu"."parent_id" IS '父菜单ID';
COMMENT ON COLUMN "ruoyi"."sys_menu"."order_num" IS '显示顺序';
COMMENT ON COLUMN "ruoyi"."sys_menu"."path" IS '路由地址';
COMMENT ON COLUMN "ruoyi"."sys_menu"."component" IS '组件路径';
COMMENT ON COLUMN "ruoyi"."sys_menu"."query" IS '路由参数';
COMMENT ON COLUMN "ruoyi"."sys_menu"."is_frame" IS '是否为外链（0是 1否）';
COMMENT ON COLUMN "ruoyi"."sys_menu"."is_cache" IS '是否缓存（0缓存 1不缓存）';
COMMENT ON COLUMN "ruoyi"."sys_menu"."menu_type" IS '菜单类型（M目录 C菜单 F按钮）';
COMMENT ON COLUMN "ruoyi"."sys_menu"."visible" IS '菜单状态（0显示 1隐藏）';
COMMENT ON COLUMN "ruoyi"."sys_menu"."status" IS '菜单状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_menu"."perms" IS '权限标识';
COMMENT ON COLUMN "ruoyi"."sys_menu"."icon" IS '菜单图标';
COMMENT ON COLUMN "ruoyi"."sys_menu"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_menu"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_menu"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_menu"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_menu"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_menu" IS '菜单权限表';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO "ruoyi"."sys_menu" VALUES (1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统管理目录');
INSERT INTO "ruoyi"."sys_menu" VALUES (2, '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统监控目录');
INSERT INTO "ruoyi"."sys_menu" VALUES (3, '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统工具目录');
INSERT INTO "ruoyi"."sys_menu" VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-04-25 19:38:38+08', '', NULL, '用户管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-04-25 19:38:38+08', '', NULL, '角色管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-04-25 19:38:38+08', '', NULL, '菜单管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-04-25 19:38:38+08', '', NULL, '部门管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-04-25 19:38:38+08', '', NULL, '岗位管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-04-25 19:38:38+08', '', NULL, '字典管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-04-25 19:38:38+08', '', NULL, '参数设置菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-04-25 19:38:38+08', '', NULL, '通知公告菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-04-25 19:38:38+08', '', NULL, '日志管理菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-04-25 19:38:38+08', '', NULL, '在线用户菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-04-25 19:38:38+08', '', NULL, '定时任务菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-04-25 19:38:38+08', '', NULL, '数据监控菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-04-25 19:38:38+08', '', NULL, '服务监控菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-04-25 19:38:38+08', '', NULL, '缓存监控菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-04-25 19:38:38+08', '', NULL, '缓存列表菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-04-25 19:38:38+08', '', NULL, '代码生成菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-04-25 19:38:38+08', '', NULL, '系统接口菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-04-25 19:38:38+08', '', NULL, '操作日志菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-04-25 19:38:38+08', '', NULL, '登录日志菜单');
INSERT INTO "ruoyi"."sys_menu" VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_menu" VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
CREATE SEQUENCE "public"."sys_notice_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 2
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_notice";
CREATE TABLE "ruoyi"."sys_notice" (
  "notice_id" int4 NOT NULL DEFAULT nextval('sys_notice_seq'::regclass),
  "notice_title" varchar(50) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL::character varying,
  "notice_type" char(1) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL::bpchar,
  "notice_content" bytea,
  "status" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_notice"."notice_id" IS '公告ID';
COMMENT ON COLUMN "ruoyi"."sys_notice"."notice_title" IS '公告标题';
COMMENT ON COLUMN "ruoyi"."sys_notice"."notice_type" IS '公告类型（1通知 2公告）';
COMMENT ON COLUMN "ruoyi"."sys_notice"."notice_content" IS '公告内容';
COMMENT ON COLUMN "ruoyi"."sys_notice"."status" IS '公告状态（0正常 1关闭）';
COMMENT ON COLUMN "ruoyi"."sys_notice"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_notice"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_notice"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_notice"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_notice"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_notice" IS '通知公告表';

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO "ruoyi"."sys_notice" VALUES (1, '温馨提醒：2018-07-01 JG新版本发布啦', '2', E'<p>\\346\\226\\260\\347\\211\\210\\346\\234\\254\\345\\206\\205\\345\\256\\271</p>', '0', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:45:10+08', '管理员');
INSERT INTO "ruoyi"."sys_notice" VALUES (2, '维护通知：2018-07-01 jG系统凌晨维护', '1', E'<p>\\347\\273\\264\\346\\212\\244\\345\\206\\205\\345\\256\\271</p>', '0', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:45:16+08', '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
CREATE SEQUENCE "public"."sys_oper_log_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 130
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_oper_log";
CREATE TABLE "ruoyi"."sys_oper_log" (
  "oper_id" int8 NOT NULL DEFAULT nextval('sys_oper_log_seq'::regclass),
  "title" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "business_type" int4 DEFAULT 0,
  "method" varchar(100) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "request_method" varchar(10) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "operator_type" int4 DEFAULT 0,
  "oper_name" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "dept_name" varchar(50) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "oper_url" varchar(255) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "oper_ip" varchar(128) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "oper_location" varchar(255) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "oper_param" varchar(2000) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "json_result" varchar(2000) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "status" int4 DEFAULT 0,
  "error_msg" varchar(2000) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "oper_time" timestamptz(0) DEFAULT NULL::timestamp with time zone,
  "cost_time" int8 DEFAULT 0
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_id" IS '日志主键';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."title" IS '模块标题';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."business_type" IS '业务类型（0其它 1新增 2修改 3删除）';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."method" IS '方法名称';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."request_method" IS '请求方式';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."operator_type" IS '操作类别（0其它 1后台用户 2手机端用户）';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_name" IS '操作人员';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."dept_name" IS '部门名称';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_url" IS '请求URL';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_ip" IS '主机地址';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_location" IS '操作地点';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_param" IS '请求参数';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."json_result" IS '返回参数';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."status" IS '操作状态（0正常 1异常）';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."error_msg" IS '错误消息';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."oper_time" IS '操作时间';
COMMENT ON COLUMN "ruoyi"."sys_oper_log"."cost_time" IS '消耗时间';
COMMENT ON TABLE "ruoyi"."sys_oper_log" IS '操作日志记录';

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO "ruoyi"."sys_oper_log" VALUES (100, '参数管理', 2, 'com.jg.project.system.controller.SysConfigController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/config', '127.0.0.1', '内网IP', '{"configId":4,"configKey":"sys.account.captchaEnabled","configName":"账号自助-验证码开关","configType":"Y","configValue":"false","createBy":"admin","createTime":"2024-04-25 11:38:38","params":{},"remark":"是否开启验证码功能（true开启，false关闭）","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:40:06+08', 30);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (101, '个人信息', 2, 'com.jg.project.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', '研发部门', '/system/user/profile/updatePwd', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:40:36+08', 278);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (102, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-04-25 11:38:38","delFlag":"0","dept":{"ancestors":"0,100,101","children":[],"deptId":105,"deptName":"测试部门","leader":"若依","orderNum":3,"params":{},"parentId":101,"status":"0"},"deptId":105,"email":"JG@qq.com","loginDate":"2024-04-25 11:38:38","loginIp":"127.0.0.1","nickName":"若依","params":{},"phonenumber":"15666666666","postIds":[2],"remark":"测试员","roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"1","status":"0","updateBy":"admin","userId":2,"userName":"ry"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:41:06+08', 36);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (103, '代码生成', 6, 'com.jg.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{"tables":"sys_config,sys_dict_data,sys_dict_type,sys_job,sys_job_log,sys_logininfor,sys_menu,sys_notice,sys_oper_log,sys_post,sys_role,sys_role_dept,sys_role_menu,sys_user,sys_user_post,sys_user_role,sys_dept"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:41:54+08', 362);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (104, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-25 19:42:04+08', 5);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (105, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-25 19:42:12+08', 3);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (106, '部门管理', 2, 'com.jg.project.system.controller.SysDeptController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0","children":[],"deptId":100,"deptName":"JG科技","email":"JG@qq.com","leader":"jG","orderNum":0,"params":{},"parentId":0,"phone":"15888888888","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:42:35+08', 10);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (107, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-25 19:43:29+08', 6);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (108, '通知公告', 2, 'com.jg.project.system.controller.SysNoticeController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/notice', '127.0.0.1', '内网IP', '{"createBy":"admin","createTime":"2024-04-25 11:38:38","noticeContent":"<p>新版本内容</p>","noticeId":1,"noticeTitle":"温馨提醒：2018-07-01 JG新版本发布啦","noticeType":"2","params":{},"remark":"管理员","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:45:10+08', 10);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (109, '通知公告', 2, 'com.jg.project.system.controller.SysNoticeController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/notice', '127.0.0.1', '内网IP', '{"createBy":"admin","createTime":"2024-04-25 11:38:38","noticeContent":"<p>维护内容</p>","noticeId":2,"noticeTitle":"维护通知：2018-07-01 jG系统凌晨维护","noticeType":"1","params":{},"remark":"管理员","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:45:16+08', 7);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (110, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-25 19:45:45+08', 3);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (111, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-25 19:46:07+08', 3);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (112, '角色管理', 2, 'com.jg.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2024-04-25 11:38:38","dataScope":"2","delFlag":"0","deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[3,1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114,116,1055,1056,1057,1058,1059,1060,117],"params":{},"remark":"普通角色","roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:47:47+08', 20);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (113, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:47:56+08', 9);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (114, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 19:47:59+08', 11);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (115, '用户管理', 3, 'com.jg.project.system.controller.SysUserController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/user/5', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:16:24+08', 153);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (116, '用户管理', 3, 'com.jg.project.system.controller.SysUserController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/user/6', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:16:28+08', 31);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (117, '用户管理', 3, 'com.jg.project.system.controller.SysUserController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/user/7', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:16:31+08', 28);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (118, '用户管理', 3, 'com.jg.project.system.controller.SysUserController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/user/1807948233451192300', '127.0.0.1', '内网IP', '{}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-09-29 09:16:35+08', 30);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (119, '用户管理', 3, 'com.jg.project.system.controller.SysUserController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/user/1807948233451192300', '127.0.0.1', '内网IP', '{}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-09-29 09:16:49+08', 31);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (120, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"createBy":"admin","createTime":"2024-09-27 10:07:42","delFlag":"0","dept":{"ancestors":"0,100,101","children":[],"deptId":105,"deptName":"测试部门","leader":"若依","orderNum":3,"params":{},"parentId":101,"status":"0"},"deptId":105,"nickName":"test","params":{},"postIds":[],"roleIds":[],"roles":[],"status":"1","updateBy":"admin","userId":4,"userName":"test"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:18:06+08', 52);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (121, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.changeStatus()', 'PUT', 1, 'admin', '研发部门', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"0","updateBy":"admin","userId":4}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:18:10+08', 23);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (122, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, 'admin', '研发部门', '/system/user/resetPwd', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"updateBy":"admin","userId":4}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 09:18:19+08', 103);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (123, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.changeStatus()', 'PUT', 1, 'admin', '研发部门', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"1","updateBy":"admin","userId":4}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 10:29:58+08', 102);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (124, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.changeStatus()', 'PUT', 1, 'admin', '研发部门', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"0","updateBy":"admin","userId":4}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 10:30:01+08', 40);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (125, '角色管理', 1, 'com.jg.project.system.controller.SysRoleController.add()', 'POST', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[],"params":{},"roleId":3,"roleKey":"a","roleName":"a","roleSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:47:08+08', 45);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (126, '角色管理', 2, 'com.jg.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2024-09-29 11:47:08","dataScope":"1","delFlag":"0","deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[],"params":{},"roleId":3,"roleKey":"a","roleName":"a","roleSort":3,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:47:17+08', 38);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (127, '角色管理', 2, 'com.jg.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', '研发部门', '/system/role/dataScope', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2024-09-29 11:47:08","dataScope":"2","delFlag":"0","deptCheckStrictly":true,"deptIds":[100,101,104],"flag":false,"menuCheckStrictly":true,"params":{},"roleId":3,"roleKey":"a","roleName":"a","roleSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:47:30+08', 26);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (128, '角色管理', 4, 'com.jg.project.system.controller.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '研发部门', '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{"roleId":"3","userIds":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:47:42+08', 6);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (129, '角色管理', 4, 'com.jg.project.system.controller.SysRoleController.cancelAuthUser()', 'PUT', 1, 'admin', '研发部门', '/system/role/authUser/cancel', '127.0.0.1', '内网IP', '{"roleId":3,"userId":4}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:47:56+08', 16);
INSERT INTO "ruoyi"."sys_oper_log" VALUES (130, '角色管理', 3, 'com.jg.project.system.controller.SysRoleController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/role/3', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-09-29 11:48:07+08', 53);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
CREATE SEQUENCE "public"."sys_post_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 4
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_post";
CREATE TABLE "ruoyi"."sys_post" (
  "post_id" int8 NOT NULL DEFAULT nextval('sys_post_seq'::regclass),
  "post_code" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
  "post_name" varchar(50) COLLATE "pg_catalog"."default" NOT NULL,
  "post_sort" int4 NOT NULL,
  "status" char(1) COLLATE "pg_catalog"."default" NOT NULL,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_post"."post_id" IS '岗位ID';
COMMENT ON COLUMN "ruoyi"."sys_post"."post_code" IS '岗位编码';
COMMENT ON COLUMN "ruoyi"."sys_post"."post_name" IS '岗位名称';
COMMENT ON COLUMN "ruoyi"."sys_post"."post_sort" IS '显示顺序';
COMMENT ON COLUMN "ruoyi"."sys_post"."status" IS '状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_post"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_post"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_post"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_post"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_post"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_post" IS '岗位信息表';

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO "ruoyi"."sys_post" VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_post" VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_post" VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');
INSERT INTO "ruoyi"."sys_post" VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
CREATE SEQUENCE "public"."sys_role_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 4
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_role";
CREATE TABLE "ruoyi"."sys_role" (
  "role_id" int8 NOT NULL DEFAULT nextval('sys_role_seq'::regclass),
  "role_name" varchar(30) COLLATE "pg_catalog"."default" NOT NULL,
  "role_key" varchar(100) COLLATE "pg_catalog"."default" NOT NULL,
  "role_sort" int4 NOT NULL,
  "data_scope" char(1) COLLATE "pg_catalog"."default" DEFAULT '1'::bpchar,
  "menu_check_strictly" int2 DEFAULT 1,
  "dept_check_strictly" int2 DEFAULT 1,
  "status" char(1) COLLATE "pg_catalog"."default" NOT NULL,
  "del_flag" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "create_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(500) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_role"."role_id" IS '角色ID';
COMMENT ON COLUMN "ruoyi"."sys_role"."role_name" IS '角色名称';
COMMENT ON COLUMN "ruoyi"."sys_role"."role_key" IS '角色权限字符串';
COMMENT ON COLUMN "ruoyi"."sys_role"."role_sort" IS '显示顺序';
COMMENT ON COLUMN "ruoyi"."sys_role"."data_scope" IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';
COMMENT ON COLUMN "ruoyi"."sys_role"."menu_check_strictly" IS '菜单树选择项是否关联显示';
COMMENT ON COLUMN "ruoyi"."sys_role"."dept_check_strictly" IS '部门树选择项是否关联显示';
COMMENT ON COLUMN "ruoyi"."sys_role"."status" IS '角色状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_role"."del_flag" IS '删除标志（0代表存在 2代表删除）';
COMMENT ON COLUMN "ruoyi"."sys_role"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_role"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_role"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_role"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_role"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_role" IS '角色信息表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO "ruoyi"."sys_role" VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-04-25 19:38:38+08', '', NULL, '超级管理员');
INSERT INTO "ruoyi"."sys_role" VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:47:47+08', '普通角色');
INSERT INTO "ruoyi"."sys_role" VALUES (3, 'a', 'a', 3, '2', 1, 1, '0', '2', 'admin', '2024-09-29 11:47:08+08', 'admin', '2024-09-29 11:47:30+08', NULL);

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_role_dept";
CREATE TABLE "ruoyi"."sys_role_dept" (
  "role_id" int8 NOT NULL,
  "dept_id" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_role_dept"."role_id" IS '角色ID';
COMMENT ON COLUMN "ruoyi"."sys_role_dept"."dept_id" IS '部门ID';
COMMENT ON TABLE "ruoyi"."sys_role_dept" IS '角色和部门关联表';

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO "ruoyi"."sys_role_dept" VALUES (2, 100);
INSERT INTO "ruoyi"."sys_role_dept" VALUES (2, 101);
INSERT INTO "ruoyi"."sys_role_dept" VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_role_menu";
CREATE TABLE "ruoyi"."sys_role_menu" (
  "role_id" int8 NOT NULL,
  "menu_id" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_role_menu"."role_id" IS '角色ID';
COMMENT ON COLUMN "ruoyi"."sys_role_menu"."menu_id" IS '菜单ID';
COMMENT ON TABLE "ruoyi"."sys_role_menu" IS '角色和菜单关联表';

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 2);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 3);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 100);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 101);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 102);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 103);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 104);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 105);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 106);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 107);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 108);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 109);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 110);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 111);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 112);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 113);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 114);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 116);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 117);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 500);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 501);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1000);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1001);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1002);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1003);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1004);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1005);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1006);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1007);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1008);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1009);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1010);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1011);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1012);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1013);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1014);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1015);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1016);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1017);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1018);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1019);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1020);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1021);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1022);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1023);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1024);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1025);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1026);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1027);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1028);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1029);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1030);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1031);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1032);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1033);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1034);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1035);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1036);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1037);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1038);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1039);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1040);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1041);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1042);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1043);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1044);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1045);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1046);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1047);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1048);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1049);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1050);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1051);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1052);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1053);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1054);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1055);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1056);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1057);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1058);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1059);
INSERT INTO "ruoyi"."sys_role_menu" VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
CREATE SEQUENCE "public"."sys_user_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 7
CACHE 1;

DROP TABLE IF EXISTS "ruoyi"."sys_user";
CREATE TABLE "ruoyi"."sys_user" (
  "user_id" int8 NOT NULL DEFAULT nextval('sys_user_seq'::regclass),
  "dept_id" int8,
  "user_name" varchar(30) COLLATE "pg_catalog"."default" NOT NULL,
  "nick_name" varchar(30) COLLATE "pg_catalog"."default" NOT NULL,
  "user_type" varchar(2) COLLATE "pg_catalog"."default",
  "email" varchar(50) COLLATE "pg_catalog"."default",
  "phonenumber" varchar(11) COLLATE "pg_catalog"."default",
  "sex" char(1) COLLATE "pg_catalog"."default",
  "avatar" varchar(100) COLLATE "pg_catalog"."default",
  "password" varchar(100) COLLATE "pg_catalog"."default",
  "status" char(1) COLLATE "pg_catalog"."default",
  "del_flag" char(1) COLLATE "pg_catalog"."default" DEFAULT '0'::bpchar,
  "login_ip" varchar(128) COLLATE "pg_catalog"."default",
  "login_date" timestamptz(0),
  "create_by" varchar(64) COLLATE "pg_catalog"."default",
  "create_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "update_by" varchar(64) COLLATE "pg_catalog"."default",
  "update_time" timestamptz(0) DEFAULT pg_systimestamp(),
  "remark" varchar(500) COLLATE "pg_catalog"."default"
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_user"."user_id" IS '用户ID';
COMMENT ON COLUMN "ruoyi"."sys_user"."dept_id" IS '部门ID';
COMMENT ON COLUMN "ruoyi"."sys_user"."user_name" IS '用户账号';
COMMENT ON COLUMN "ruoyi"."sys_user"."nick_name" IS '用户昵称';
COMMENT ON COLUMN "ruoyi"."sys_user"."user_type" IS '用户类型（00系统用户）';
COMMENT ON COLUMN "ruoyi"."sys_user"."email" IS '用户邮箱';
COMMENT ON COLUMN "ruoyi"."sys_user"."phonenumber" IS '手机号码';
COMMENT ON COLUMN "ruoyi"."sys_user"."sex" IS '用户性别（0男 1女 2未知）';
COMMENT ON COLUMN "ruoyi"."sys_user"."avatar" IS '头像地址';
COMMENT ON COLUMN "ruoyi"."sys_user"."password" IS '密码';
COMMENT ON COLUMN "ruoyi"."sys_user"."status" IS '帐号状态（0正常 1停用）';
COMMENT ON COLUMN "ruoyi"."sys_user"."del_flag" IS '删除标志（0代表存在 2代表删除）';
COMMENT ON COLUMN "ruoyi"."sys_user"."login_ip" IS '最后登录IP';
COMMENT ON COLUMN "ruoyi"."sys_user"."login_date" IS '最后登录时间';
COMMENT ON COLUMN "ruoyi"."sys_user"."create_by" IS '创建者';
COMMENT ON COLUMN "ruoyi"."sys_user"."create_time" IS '创建时间';
COMMENT ON COLUMN "ruoyi"."sys_user"."update_by" IS '更新者';
COMMENT ON COLUMN "ruoyi"."sys_user"."update_time" IS '更新时间';
COMMENT ON COLUMN "ruoyi"."sys_user"."remark" IS '备注';
COMMENT ON TABLE "ruoyi"."sys_user" IS '用户信息表';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO "ruoyi"."sys_user" VALUES (2, 105, 'jg', 'JG1', '00', 'JG@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:38:38+08', 'admin', '2024-04-25 19:41:06+08', '测试员');
INSERT INTO "ruoyi"."sys_user" VALUES (5, 101, '11', '1', NULL, NULL, NULL, NULL, NULL, '$2a$10$q9/6bVUiunb2VRHRK3crIe.WuE2P15Cx0tzHT69DVKdpOKJXL2ejW', '0', '2', NULL, NULL, 'admin', '2024-09-27 10:23:09+08', NULL, NULL, NULL);
INSERT INTO "ruoyi"."sys_user" VALUES (6, NULL, '22', '24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "ruoyi"."sys_user" VALUES (7, NULL, '33', '33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2', NULL, NULL, NULL, '2024-09-27 10:30:21+08', NULL, '2024-09-27 10:30:21+08', NULL);
INSERT INTO "ruoyi"."sys_user" VALUES (4, 105, 'test', 'test', NULL, NULL, NULL, NULL, NULL, '$2a$10$6bR3nG7vYkBpmj39R4t97.dN2QvK3RWZXk6fLKhdNp0gJUQwbhJhC', '0', '0', NULL, NULL, 'admin', '2024-09-27 10:07:42+08', 'admin', NULL, NULL);
INSERT INTO "ruoyi"."sys_user" VALUES (1, 103, 'admin', 'JG', '00', 'JG@163.com', '15888888888', '1', '', '$2a$10$KxFrHawES2kSeWRn.gTxTuzoNNkW/v6XkPnxw5WFbpWWj2Ki8k77y', '0', '0', '127.0.0.1', '2024-09-30 08:40:10+08', 'admin', '2024-04-25 19:38:38+08', '', '2024-04-25 19:48:55+08', '管理员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_user_post";
CREATE TABLE "ruoyi"."sys_user_post" (
  "user_id" int8 NOT NULL,
  "post_id" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_user_post"."user_id" IS '用户ID';
COMMENT ON COLUMN "ruoyi"."sys_user_post"."post_id" IS '岗位ID';
COMMENT ON TABLE "ruoyi"."sys_user_post" IS '用户与岗位关联表';

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO "ruoyi"."sys_user_post" VALUES (1, 1);
INSERT INTO "ruoyi"."sys_user_post" VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS "ruoyi"."sys_user_role";
CREATE TABLE "ruoyi"."sys_user_role" (
  "user_id" int8 NOT NULL,
  "role_id" int8 NOT NULL
)
WITH (orientation=ROW)
;
COMMENT ON COLUMN "ruoyi"."sys_user_role"."user_id" IS '用户ID';
COMMENT ON COLUMN "ruoyi"."sys_user_role"."role_id" IS '角色ID';
COMMENT ON TABLE "ruoyi"."sys_user_role" IS '用户和角色关联表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO "ruoyi"."sys_user_role" VALUES (1, 1);
INSERT INTO "ruoyi"."sys_user_role" VALUES (2, 2);

-- ----------------------------
-- Primary Key structure for table gen_table
-- ----------------------------
ALTER TABLE "ruoyi"."gen_table" ADD CONSTRAINT "gen_table_pkey" PRIMARY KEY ("table_id");

-- ----------------------------
-- Primary Key structure for table gen_table_column
-- ----------------------------
ALTER TABLE "ruoyi"."gen_table_column" ADD CONSTRAINT "gen_table_column_pkey" PRIMARY KEY ("column_id");

-- ----------------------------
-- Primary Key structure for table qrtz_blob_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_blob_triggers" ADD CONSTRAINT "qrtz_blob_triggers_pkey" PRIMARY KEY ("sched_name", "trigger_name", "trigger_group");

-- ----------------------------
-- Primary Key structure for table qrtz_calendars
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_calendars" ADD CONSTRAINT "qrtz_calendars_pkey" PRIMARY KEY ("sched_name", "calendar_name");

-- ----------------------------
-- Primary Key structure for table qrtz_cron_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_cron_triggers" ADD CONSTRAINT "qrtz_cron_triggers_pkey" PRIMARY KEY ("sched_name", "trigger_name", "trigger_group");

-- ----------------------------
-- Primary Key structure for table qrtz_fired_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_fired_triggers" ADD CONSTRAINT "qrtz_fired_triggers_pkey" PRIMARY KEY ("sched_name", "entry_id");

-- ----------------------------
-- Primary Key structure for table qrtz_job_details
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_job_details" ADD CONSTRAINT "qrtz_job_details_pkey" PRIMARY KEY ("sched_name", "job_name", "job_group");

-- ----------------------------
-- Primary Key structure for table qrtz_locks
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_locks" ADD CONSTRAINT "qrtz_locks_pkey" PRIMARY KEY ("sched_name", "lock_name");

-- ----------------------------
-- Primary Key structure for table qrtz_paused_trigger_grps
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_paused_trigger_grps" ADD CONSTRAINT "qrtz_paused_trigger_grps_pkey" PRIMARY KEY ("sched_name", "trigger_group");

-- ----------------------------
-- Primary Key structure for table qrtz_scheduler_state
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_scheduler_state" ADD CONSTRAINT "qrtz_scheduler_state_pkey" PRIMARY KEY ("sched_name", "instance_name");

-- ----------------------------
-- Primary Key structure for table qrtz_simple_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_simple_triggers" ADD CONSTRAINT "qrtz_simple_triggers_pkey" PRIMARY KEY ("sched_name", "trigger_name", "trigger_group");

-- ----------------------------
-- Primary Key structure for table qrtz_simprop_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_simprop_triggers" ADD CONSTRAINT "qrtz_simprop_triggers_pkey" PRIMARY KEY ("sched_name", "trigger_name", "trigger_group");

-- ----------------------------
-- Indexes structure for table qrtz_triggers
-- ----------------------------
CREATE INDEX "sched_name" ON "ruoyi"."qrtz_triggers" USING btree (
  "sched_name" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "job_name" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "job_group" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table qrtz_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_triggers" ADD CONSTRAINT "qrtz_triggers_pkey" PRIMARY KEY ("sched_name", "trigger_name", "trigger_group");

-- ----------------------------
-- Primary Key structure for table sys_config
-- ----------------------------
ALTER TABLE "ruoyi"."sys_config" ADD CONSTRAINT "sys_config_pkey" PRIMARY KEY ("config_id");

-- ----------------------------
-- Primary Key structure for table sys_dept
-- ----------------------------
ALTER TABLE "ruoyi"."sys_dept" ADD CONSTRAINT "sys_dept_pkey" PRIMARY KEY ("dept_id");

-- ----------------------------
-- Primary Key structure for table sys_dict_data
-- ----------------------------
ALTER TABLE "ruoyi"."sys_dict_data" ADD CONSTRAINT "sys_dict_data_pkey" PRIMARY KEY ("dict_code");

-- ----------------------------
-- Indexes structure for table sys_dict_type
-- ----------------------------
CREATE UNIQUE INDEX "dict_type" ON "ruoyi"."sys_dict_type" USING btree (
  "dict_type" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table sys_dict_type
-- ----------------------------
ALTER TABLE "ruoyi"."sys_dict_type" ADD CONSTRAINT "sys_dict_type_pkey" PRIMARY KEY ("dict_id");

-- ----------------------------
-- Primary Key structure for table sys_job
-- ----------------------------
ALTER TABLE "ruoyi"."sys_job" ADD CONSTRAINT "sys_job_pkey" PRIMARY KEY ("job_id", "job_name", "job_group");

-- ----------------------------
-- Primary Key structure for table sys_job_log
-- ----------------------------
ALTER TABLE "ruoyi"."sys_job_log" ADD CONSTRAINT "sys_job_log_pkey" PRIMARY KEY ("job_log_id");

-- ----------------------------
-- Indexes structure for table sys_logininfor
-- ----------------------------
CREATE INDEX "idx_sys_logininfor_lt" ON "ruoyi"."sys_logininfor" USING btree (
  "login_time" "pg_catalog"."timestamptz_ops" ASC NULLS LAST
);
CREATE INDEX "idx_sys_logininfor_s" ON "ruoyi"."sys_logininfor" USING btree (
  "status" COLLATE "pg_catalog"."default" "pg_catalog"."bpchar_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table sys_logininfor
-- ----------------------------
ALTER TABLE "ruoyi"."sys_logininfor" ADD CONSTRAINT "sys_logininfor_pkey" PRIMARY KEY ("info_id");

-- ----------------------------
-- Primary Key structure for table sys_menu
-- ----------------------------
ALTER TABLE "ruoyi"."sys_menu" ADD CONSTRAINT "sys_menu_pkey" PRIMARY KEY ("menu_id");

-- ----------------------------
-- Primary Key structure for table sys_notice
-- ----------------------------
ALTER TABLE "ruoyi"."sys_notice" ADD CONSTRAINT "sys_notice_pkey" PRIMARY KEY ("notice_id");

-- ----------------------------
-- Indexes structure for table sys_oper_log
-- ----------------------------
CREATE INDEX "idx_sys_oper_log_bt" ON "ruoyi"."sys_oper_log" USING btree (
  "business_type" "pg_catalog"."int4_ops" ASC NULLS LAST
);
CREATE INDEX "idx_sys_oper_log_ot" ON "ruoyi"."sys_oper_log" USING btree (
  "oper_time" "pg_catalog"."timestamptz_ops" ASC NULLS LAST
);
CREATE INDEX "idx_sys_oper_log_s" ON "ruoyi"."sys_oper_log" USING btree (
  "status" "pg_catalog"."int4_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table sys_oper_log
-- ----------------------------
ALTER TABLE "ruoyi"."sys_oper_log" ADD CONSTRAINT "sys_oper_log_pkey" PRIMARY KEY ("oper_id");

-- ----------------------------
-- Primary Key structure for table sys_post
-- ----------------------------
ALTER TABLE "ruoyi"."sys_post" ADD CONSTRAINT "sys_post_pkey" PRIMARY KEY ("post_id");

-- ----------------------------
-- Primary Key structure for table sys_role
-- ----------------------------
ALTER TABLE "ruoyi"."sys_role" ADD CONSTRAINT "sys_role_pkey" PRIMARY KEY ("role_id");

-- ----------------------------
-- Primary Key structure for table sys_role_dept
-- ----------------------------
ALTER TABLE "ruoyi"."sys_role_dept" ADD CONSTRAINT "sys_role_dept_pkey" PRIMARY KEY ("role_id", "dept_id");

-- ----------------------------
-- Primary Key structure for table sys_role_menu
-- ----------------------------
ALTER TABLE "ruoyi"."sys_role_menu" ADD CONSTRAINT "sys_role_menu_pkey" PRIMARY KEY ("role_id", "menu_id");

-- ----------------------------
-- Primary Key structure for table sys_user
-- ----------------------------
ALTER TABLE "ruoyi"."sys_user" ADD CONSTRAINT "sys_user_pkey" PRIMARY KEY ("user_id");

-- ----------------------------
-- Primary Key structure for table sys_user_post
-- ----------------------------
ALTER TABLE "ruoyi"."sys_user_post" ADD CONSTRAINT "sys_user_post_pkey" PRIMARY KEY ("user_id", "post_id");

-- ----------------------------
-- Primary Key structure for table sys_user_role
-- ----------------------------
ALTER TABLE "ruoyi"."sys_user_role" ADD CONSTRAINT "sys_user_role_pkey" PRIMARY KEY ("user_id", "role_id");

-- ----------------------------
-- Foreign Keys structure for table qrtz_blob_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_blob_triggers" ADD CONSTRAINT "qrtz_blob_triggers_ibfk_1" FOREIGN KEY ("sched_name", "trigger_name", "trigger_group") REFERENCES "ruoyi"."qrtz_triggers" ("sched_name", "trigger_name", "trigger_group") ON DELETE NO ACTION ON UPDATE NO ACTION;

-- ----------------------------
-- Foreign Keys structure for table qrtz_cron_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_cron_triggers" ADD CONSTRAINT "qrtz_cron_triggers_ibfk_1" FOREIGN KEY ("sched_name", "trigger_name", "trigger_group") REFERENCES "ruoyi"."qrtz_triggers" ("sched_name", "trigger_name", "trigger_group") ON DELETE NO ACTION ON UPDATE NO ACTION;

-- ----------------------------
-- Foreign Keys structure for table qrtz_simple_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_simple_triggers" ADD CONSTRAINT "qrtz_simple_triggers_ibfk_1" FOREIGN KEY ("sched_name", "trigger_name", "trigger_group") REFERENCES "ruoyi"."qrtz_triggers" ("sched_name", "trigger_name", "trigger_group") ON DELETE NO ACTION ON UPDATE NO ACTION;

-- ----------------------------
-- Foreign Keys structure for table qrtz_simprop_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_simprop_triggers" ADD CONSTRAINT "qrtz_simprop_triggers_ibfk_1" FOREIGN KEY ("sched_name", "trigger_name", "trigger_group") REFERENCES "ruoyi"."qrtz_triggers" ("sched_name", "trigger_name", "trigger_group") ON DELETE NO ACTION ON UPDATE NO ACTION;

-- ----------------------------
-- Foreign Keys structure for table qrtz_triggers
-- ----------------------------
ALTER TABLE "ruoyi"."qrtz_triggers" ADD CONSTRAINT "qrtz_triggers_ibfk_1" FOREIGN KEY ("sched_name", "job_name", "job_group") REFERENCES "ruoyi"."qrtz_job_details" ("sched_name", "job_name", "job_group") ON DELETE NO ACTION ON UPDATE NO ACTION;
